'==============================================================================
' COMMON.BI
' Querschnittlich genutzte Definitionen (TYPES, Konstanten)
' Erstellt am 26.06.2011
' Letzte Bearbeitung am 01.12.11
'==============================================================================

'Wichtige Tastaturabfragecodes, die von GETKEY zurueckgegeben werden:
CONST SC_BKSP = &H08, SC_TAB = &H09, SC_SHIFT_TAB = &H0FFF, SC_ENTER = &H0D, _
  SC_ESC = &H1B, SC_LEFT = &H4BFF, SC_RIGHT = &H4DFF, SC_UP = &H48FF, _
  SC_DOWN = &H50FF, SC_INS = &H52FF, SC_DEL = &H53FF, SC_END = &H4FFF, _
  SC_HOME = &H47FF, SC_PGUP = &H49FF, SC_PGDOWN = &H51FF, _
  SC_F1 = &H3BFF, SC_F2 = &H3CFF, SC_F3 = &H3DFF, SC_F4 = &H3EFF, SC_F5 = &H3FFF, _
  SC_F6 = &H40FF, SC_F7 = &H41FF, SC_F8 = &H42FF, SC_F9 = &H43FF, SC_F10 = &H44FF, _
  SC_F11 = &H85FF, SC_F12 = &H86FF, _
  SC_XButton = &H6BFF
  'SC_XButton: Der Wert wird beim Anklicken des X-Buttons zum Schliessen des
  'Fensters ausgegeben 
  
'Kreiszahl:
CONST pi = 4 * ATN(1)

'Farbkonstanten fuer Farbtiefen 2 - 4 Bytes pro Pixel:
CONST RGB0 = &H000000, RGB1 = &H0000AA, RGB2 = &H00AA00, RGB3 = &H00AAAA, _
    RGB4 = &HAA0000, RGB5 = &HAA00AA, RGB6 = &HAA5500, RGB7 = &HAAAAAA, _
    RGB8 = &H555555, RGB9 = &H5555FF, RGB10 = &H55FF55, RGB11 = &H55FFFF, _
    RGB12 = &HFF5555, RGB13 = &HFF55FF, RGB14 = &HFFFF55, RGB15 = &HFFFFFF

'Komplexe Zahl:
TYPE COMPLEX
  Re AS SINGLE
  Im AS SINGLE
END TYPE


